Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  trait Reporting extends reflect.internal.Reporting

  Provides delegates to the reporter doing the actual work.

  Provides delegates to the reporter doing the actual work. PerRunReporting implements per-Run stateful info tracking and reporting

  Definition Classes
    nsc
- PerRunReporting
- PerRunReportingBase
- RunReporting

c

scala.tools.nsc.Reporting

# PerRunReporting

###

#### class PerRunReporting extends (Reporting.this)#PerRunReportingBase

Source
  Reporting.scala

Linear Supertypes
(Reporting.this)#PerRunReportingBase, AnyRef, Any
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PerRunReporting
2. PerRunReportingBase
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PerRunReporting()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toany2stringadd[(Reporting.this)#PerRunReporting] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): ((Reporting.this)#PerRunReporting, B)
   Implicit
     This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toArrowAssoc[(Reporting.this)#PerRunReporting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  def addSuppression(sup: Suppression): Unit
7.  def allConditionalWarnings: List[((Reporting.this)#Position, String)]
8.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
9.  def clearAllConditionalWarnings(): Unit
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def deprecationWarning(pos: (Reporting.this)#Position, origin: (Reporting.this)#Symbol, site: (Reporting.this)#Symbol): Unit
12.  def deprecationWarning(pos: (Reporting.this)#Position, origin: (Reporting.this)#Symbol, site: (Reporting.this)#Symbol, msg: String, since: String): Unit
13.  def deprecationWarning(pos: (Reporting.this)#Position, msg: String, since: String, site: String, origin: String): Unit
    Definition Classes
      PerRunReporting → PerRunReportingBase
14.  def deprecationWarnings: List[((Reporting.this)#Position, String)]
15.  def ensuring(cond: ((Reporting.this)#PerRunReporting) => Boolean, msg: => Any): (Reporting.this)#PerRunReporting
    Implicit
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toEnsuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  def ensuring(cond: ((Reporting.this)#PerRunReporting) => Boolean): (Reporting.this)#PerRunReporting
    Implicit
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toEnsuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
17.  def ensuring(cond: Boolean, msg: => Any): (Reporting.this)#PerRunReporting
    Implicit
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toEnsuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
18.  def ensuring(cond: Boolean): (Reporting.this)#PerRunReporting
    Implicit
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toEnsuring[(Reporting.this)#PerRunReporting] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def featureReported(featureTrait: (Reporting.this)#Symbol): Unit
    Attributes
      protected
22.  def featureWarning(pos: (Reporting.this)#Position, featureName: String, featureDesc: String, featureTrait: (Reporting.this)#Symbol, construct: => String = "", required: Boolean, site: (Reporting.this)#Symbol): Unit
23.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
24.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toStringFormat[(Reporting.this)#PerRunReporting] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
25.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
26.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
27.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
28.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def reportSuspendedMessages(): Unit
32.  val rootDirPrefix: String
33.  var seenMacroExpansionsFallingBack: Boolean

    Has any macro expansion used a fallback during this run?

34.  def summarizeErrors(): Unit
35.  def supplementErrorMessage(errorMessage: String): String
    Definition Classes
      PerRunReportingBase
36.  def suppressionExists(pos: (Reporting.this)#Position): Boolean
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  def toString(): String
    Definition Classes
      AnyRef → Any
39.  def uncheckedWarnings: List[((Reporting.this)#Position, String)]
40.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
41.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
43.  def warnUnusedSuppressions(): Unit
44.  def warning(pos: (Reporting.this)#Position, msg: String, category: WarningCategory, site: (Reporting.this)#Symbol): Unit
45.  def warning(pos: (Reporting.this)#Position, msg: String, category: WarningCategory, site: String): Unit
46.  lazy val wconf: WConf

### Deprecated Value Members

1.  def →[B](y: B): ((Reporting.this)#PerRunReporting, B)
   Implicit
     This member is added by an implicit conversion from (Reporting.this)#PerRunReporting toArrowAssoc[(Reporting.this)#PerRunReporting] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from (Reporting.this)#PerRunReportingBase

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from(Reporting.this)#PerRunReporting to any2stringadd[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion StringFormat from(Reporting.this)#PerRunReporting to StringFormat[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion Ensuring from(Reporting.this)#PerRunReporting to Ensuring[(Reporting.this)#PerRunReporting]

### Inherited by implicit conversion ArrowAssoc from(Reporting.this)#PerRunReporting to ArrowAssoc[(Reporting.this)#PerRunReporting]

### Ungrouped